## ros-foxy-maliput-malidrive 0.1.4

=== CMakeLists.txt ===
##############################################################################
# Project
##############################################################################

cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(maliput_malidrive LANGUAGES C CXX VERSION 1.0.0)

##############################################################################
# CMake Support
##############################################################################

# Set CMAKE_INSTALL_<INCLUDEDIR|BINDIR|LIBDIR>
include(GNUInstallDirs)

##############################################################################
# Find 3rd Party Packages
##############################################################################

message(STATUS "\n\n====== Finding 3rd Party Packages ======\n")

find_package(ament_cmake REQUIRED)
find_package(fmt 6.1.2 EXACT REQUIRED)

find_package(maliput REQUIRED)
find_package(maliput_drake REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

message(STATUS "\n\n========= Project Configuration ========\n")

include(${PROJECT_SOURCE_DIR}/cmake/DefaultCFlags.cmake)
include(${PROJECT_SOURCE_DIR}/cmake/SanitizersConfig.cmake)

set(BUILD_SHARED_LIBS true)

##############################################################################
# Sources
##############################################################################

add_subdirectory(src)

##############################################################################
# Tests
##############################################################################

if(BUILD_TESTING)
  find_package(ament_cmake_clang_format REQUIRED)
  enable_testing()
  ament_clang_format(CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)

  # Integration tests will be armed by default, but it could be configured by
  # the user
  if(NOT MALIPUT_MALIDRIVE_INTEGRATION_TESTS)
    set(MALIPUT_MALIDRIVE_INTEGRATION_TESTS ON CACHE BOOL "Enable disable integration tests")
  endif()
  message(STATUS "INTEGRATION Tests are: " ${MALIPUT_MALIDRIVE_INTEGRATION_TESTS})

  add_subdirectory(test)
endif()

##############################################################################
# Docs
##############################################################################

if(BUILD_DOCS)
  message(STATUS "Doxygen generation - Enabled")
  find_package(ament_cmake_doxygen REQUIRED)
    ament_doxygen_generate(doxygen_maliput_malidrive
      CONFIG_OVERLAY doc/Doxyfile.overlay.in
      DEPENDENCIES maliput
      TEST_ON_WARNS
    )
  add_definitions(-DBUILD_DOCS)
else()
  message(STATUS "Doxygen generation - Disabled")
endif()

##############################################################################
# Export
##############################################################################

set(MALIPUT_MALIDRIVE_RESOURCES_PATH share/maliput_malidrive/resources)
set(OPENDRIVE_SAMPLES_PATH ${MALIPUT_MALIDRIVE_RESOURCES_PATH}/odr)
install (FILES resources/ArcLane.xodr
               resources/ArcElevatedRoad.xodr
               resources/BikingLineLane.xodr
               resources/ComplexLaneSection.xodr
               resources/Crossing8Course.xodr
               resources/CrossingComplex8Course.xodr
               resources/DriveableAndPedestrian.xodr
               resources/DisconnectedRoadInJunction.xodr
               resources/Figure8.xodr
               resources/FlatTown01.xodr
               resources/GapInElevationNonDrivableRoad.xodr
               resources/GapInLaneWidthNonDrivableLane.xodr
               resources/GapInSuperelevationNonDrivableRoad.xodr
               resources/Highway.xodr
               resources/kpit_map.xodr
               resources/LeftRightSidedRoads.xodr
               resources/LineMultipleSections.xodr
               resources/LineMultipleSectionsMoreCases.xodr
               resources/LineMultipleSpeeds.xodr
               resources/LineVariableOffset.xodr
               resources/LineVariableWidth.xodr
               resources/LoopRoadPedestrianCrosswalk.xodr
               resources/LoopRoadPedestrianCrosswalk.yaml
               resources/LShapeRoad.xodr
               resources/LShapeRoadVariableLanes.xodr
               resources/LShapeSection.xodr
               resources/onramp.xodr
               resources/ParkingGarageRamp.xodr
               resources/Roundabout.xodr
               resources/RRFigure8.xodr
               resources/RRLongRoad.xodr
               resources/SingleLane.xodr
               resources/SingleRoadComplexDescription.xodr
               resources/SingleRoadComplexDescription2.xodr
               resources/SingleRoadHighCoefficients.xodr
               resources/SingleRoadNanValues.xodr
               resources/SingleRoadNegativeWidth.xodr
               resources/SingleRoadPedestrianCrosswalk.xodr
               resources/SingleRoadPedestrianCrosswalk.yaml
               resources/SingleRoadTinyGeometry.xodr
               resources/SingleRoadTwoGeometries.xodr
               resources/SpiralRoad.xodr
               resources/SShapeRoad.xodr
               resources/SShapeSuperelevatedRoad.xodr
               resources/StraightForward.xodr
               resources/Town01.xodr
               resources/Town02.xodr
               resources/Town03.xodr
               resources/Town04.xodr
               resources/Town05.xodr
               resources/Town06.xodr
               resources/Town07.xodr
               resources/TShapeRoad.xodr
               resources/TShapeRoad.yaml
         DESTINATION ${OPENDRIVE_SAMPLES_PATH})

install (FILES resources/cloverleaf/cloverleaf.xodr
               resources/cloverleaf/cloverleaf.xodr.geojson
               resources/cloverleaf/cloverleaf.xodr.yaml
         DESTINATION ${OPENDRIVE_SAMPLES_PATH}/cloverleaf)

install (FILES resources/figure8_trafficlights/figure8_trafficlights.xodr
               resources/figure8_trafficlights/figure8_trafficlights.yaml
               resources/figure8_trafficlights/figure8_trafficlights_new_rules.yaml
               resources/figure8_trafficlights/lane-s-route_east-left-turn.yaml
               resources/figure8_trafficlights/lane-s-route_east-right-turn.yaml
               resources/figure8_trafficlights/lane-s-route_east-straight.yaml
               resources/figure8_trafficlights/lane-s-route_north-left-turn.yaml
               resources/figure8_trafficlights/lane-s-route_north-right-turn.yaml
               resources/figure8_trafficlights/lane-s-route_north-straight.yaml
               resources/figure8_trafficlights/lane-s-route_south-left-turn.yaml
               resources/figure8_trafficlights/lane-s-route_south-right-turn.yaml
               resources/figure8_trafficlights/lane-s-route_south-straight.yaml
               resources/figure8_trafficlights/lane-s-route_west-left-turn.yaml
               resources/figure8_trafficlights/lane-s-route_west-right-turn.yaml
               resources/figure8_trafficlights/lane-s-route_west-straight.yaml
         DESTINATION ${OPENDRIVE_SAMPLES_PATH}/figure8_trafficlights)

# Unsets the cache, expecting a fresh configuration after each cmake run.
unset(MALIPUT_MALIDRIVE_INTEGRATION_TESTS CACHE)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)

ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.dsv.in")
ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.sh.in")

ament_export_dependencies(ament_cmake)
ament_export_dependencies(fmt)
ament_export_dependencies(maliput)
ament_export_dependencies(maliput_drake)
ament_export_targets(${PROJECT_NAME}-targets HAS_LIBRARY_TARGET)

ament_package()

=== src/CMakeLists.txt ===
##############################################################################
# Directories
##############################################################################

add_subdirectory(applications)
add_subdirectory(maliput_malidrive)
add_subdirectory(plugin)
add_subdirectory(utility)

=== test/CMakeLists.txt ===
##############################################################################
# Tests
##############################################################################

##############################################################################
# Find Packages
##############################################################################

find_package(ament_cmake_gtest REQUIRED)

##############################################################################
# Macros
##############################################################################

macro(maliput_malidrive_plugin_tests)
  # Build all the tests
  foreach(GTEST_SOURCE_file ${ARGN})
    string(REGEX REPLACE ".cc" "" BINARY_NAME ${GTEST_SOURCE_file})
    set(BINARY_NAME ${TEST_TYPE}_${BINARY_NAME})
    set(RESOURCE_FILE_PREFIX ${PROJECT_SOURCE_DIR}/resources/)
    set(ROAD_NETWORK_PLUGIN ${CMAKE_INSTALL_PREFIX}/lib/maliput_plugins/)

    ament_add_gtest(${BINARY_NAME} ${GTEST_SOURCE_file} APPEND_LIBRARY_DIRS ${MALIPUT_MALIDRIVE_PLUGIN_LIBRARY_DIRS}
      TIMEOUT 240)

    target_include_directories(${BINARY_NAME}
      PRIVATE
        ${PROJECT_SOURCE_DIR}/src
        ${PROJECT_SOURCE_DIR}/include
        ${PYTHON_INCLUDE_DIRS}
    )

    # Kind of an ugly catch-all bucket
    target_link_libraries(${BINARY_NAME}
        maliput::common
        maliput::plugin
        maliput_malidrive::base
        utility
    )

    # To avoid a false positive when running ubsan the symbols must be exported
    # See https://stackoverflow.com/questions/57361776/use-ubsan-with-dynamically-loaded-shared-libraries
    set_target_properties(${BINARY_NAME}
      PROPERTIES
        ENABLE_EXPORTS ON
    )

    # Remove a warning in GTest.
    target_compile_options(${BINARY_NAME} PRIVATE "-Wno-sign-compare")

    target_compile_definitions(${BINARY_NAME}
      PRIVATE
        DEF_MALIDRIVE_RESOURCES="${RESOURCE_FILE_PREFIX}"
        DEF_ROAD_NETWORK_PLUGIN="${ROAD_NETWORK_PLUGIN}"
    )

  endforeach()
endmacro()

macro(maliput_malidrive_build_tests)
  # Build all the tests
  foreach(GTEST_SOURCE_file ${ARGN})
    string(REGEX REPLACE ".cc" "" BINARY_NAME ${GTEST_SOURCE_file})
    set(BINARY_NAME ${TEST_TYPE}_${BINARY_NAME})
    set(RESOURCE_FILE_PREFIX ${PROJECT_SOURCE_DIR}/resources/)

    ament_add_gtest(${BINARY_NAME} ${GTEST_SOURCE_file} TIMEOUT 240)

    target_include_directories(${BINARY_NAME}
      PRIVATE
        ${PROJECT_SOURCE_DIR}/src
        ${PROJECT_SOURCE_DIR}/include
        ${PYTHON_INCLUDE_DIRS}
    )

    # Kind of an ugly catch-all bucket
    target_link_libraries(${BINARY_NAME}
        maliput::api
        maliput::base
        maliput::common
        maliput::geometry_base
        maliput::math
        maliput::test_utilities
        maliput_malidrive::base
        maliput_malidrive::builder
        maliput_malidrive::common
        maliput_malidrive::road_curve
        maliput_malidrive::test_utilities
        maliput_malidrive::xodr
        maliput_malidrive::xodr_extract
        pthread
        utility
    )

    # Remove a warning in GTest.
    target_compile_options(${BINARY_NAME} PRIVATE "-Wno-sign-compare")

    target_compile_definitions(${BINARY_NAME}
      PRIVATE
        DEF_MALIDRIVE_RESOURCES="${RESOURCE_FILE_PREFIX}"
    )

  endforeach()
endmacro()

macro(maliput_malidrive_utility_tests)
  # Build all the tests
  foreach(GTEST_SOURCE_file ${ARGN})
    string(REGEX REPLACE ".cc" "" BINARY_NAME ${GTEST_SOURCE_file})
    set(BINARY_NAME ${TEST_TYPE}_${BINARY_NAME})

    ament_add_gtest(${BINARY_NAME} ${GTEST_SOURCE_file} APPEND_LIBRARY_DIRS ${MALIPUT_MALIDRIVE_PLUGIN_LIBRARY_DIRS}
      TIMEOUT 240)

    target_include_directories(${BINARY_NAME}
      PRIVATE
        ${PROJECT_SOURCE_DIR}/src
        ${PROJECT_SOURCE_DIR}/include
        ${PYTHON_INCLUDE_DIRS}
    )

    # Kind of an ugly catch-all bucket
    target_link_libraries(${BINARY_NAME}
        utility
    )

    # To avoid a false positive when running ubsan the symbols must be exported
    # See https://stackoverflow.com/questions/57361776/use-ubsan-with-dynamically-loaded-shared-libraries
    set_target_properties(${BINARY_NAME}
      PROPERTIES
        ENABLE_EXPORTS ON
    )

    # Remove a warning in GTest.
    target_compile_options(${BINARY_NAME} PRIVATE "-Wno-sign-compare")

    target_compile_definitions(${BINARY_NAME}
      PRIVATE
        DEF_PROJECT_SOURCE_DIR="${PROJECT_SOURCE_DIR}"
    )

  endforeach()
endmacro()

# This macro generates a test target per each map on the list.
# Map file will be set using a CLI argument and it's the test responsibility
# to parse it.
macro(malidrive_build_integration_based_tests)
  set(XODR_FILE_PREFIX ${PROJECT_SOURCE_DIR}/resources/)
  set(XODR_FILE_PATHS
    ArcLane.xodr
    Highway.xodr
    LShapeRoad.xodr
    LShapeRoadVariableLanes.xodr
    LineMultipleSections.xodr
    LineVariableWidth.xodr
    LineVariableOffset.xodr
    ParkingGarageRamp.xodr
    RRFigure8.xodr
    RRLongRoad.xodr
    SingleLane.xodr
    SingleRoadComplexDescription.xodr
    SingleRoadComplexDescription2.xodr
    SingleRoadHighCoefficients.xodr
    SingleRoadNanValues.xodr
    SingleRoadNegativeWidth.xodr
    SingleRoadTinyGeometry.xodr
    SingleRoadTwoGeometries.xodr
    SShapeRoad.xodr
    SShapeSuperelevatedRoad.xodr
    StraightForward.xodr
    TShapeRoad.xodr
    Figure8.xodr
    Town01.xodr
    Town02.xodr
    Town03.xodr
    Town04.xodr
    Town05.xodr
    Town06.xodr
    Town07.xodr
  )

  # Build all the tests
  foreach(GTEST_SOURCE_file ${ARGN})
    # When integration tests are disabled, we just skip adding them.
    if(NOT MALIPUT_MALIDRIVE_INTEGRATION_TESTS)
      if(${TEST_TYPE} MATCHES "INTEGRATION")
        message(STATUS "Integration tests are disarmed, skipping: " ${GTEST_SOURCE_file})
        continue()
      endif()
    endif()

    foreach(XODR_MAP_file ${XODR_FILE_PATHS})
      string(REGEX REPLACE ".cc" "" BINARY_NAME ${GTEST_SOURCE_file})
      set(BINARY_NAME ${TEST_TYPE}_${BINARY_NAME}_${XODR_MAP_file})

      ament_add_gtest(${BINARY_NAME} ${GTEST_SOURCE_file})

      target_include_directories(${BINARY_NAME}
        PRIVATE
          ${PROJECT_SOURCE_DIR}/src
          ${PROJECT_SOURCE_DIR}/include
          ${PYTHON_INCLUDE_DIRS}
      )

      # Kind of an ugly catch-all bucket
      target_link_libraries(${BINARY_NAME}
          maliput::api
          maliput::common
          maliput::test_utilities
          maliput::utility
          maliput_malidrive::builder
          maliput_malidrive::loader
          maliput_malidrive::test_utilities
          utility
      )

      # Remove a warning in GTest.
      target_compile_options(${BINARY_NAME} PRIVATE "-Wno-sign-compare")

      target_compile_definitions(${BINARY_NAME}
        PRIVATE
          XODR_FILE="${XODR_FILE_PREFIX}${XODR_MAP_file}"
      )

      # Extensive tests require more time when sanitizers are run due to extra
      # debug code introduced.
      set(TEST_TIMEOUT 300)
      if (SANITIZERS)
        set(TEST_TIMEOUT 340)
      endif()
      set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT ${TEST_TIMEOUT})
      unset(TEST_TIMEOUT)

    endforeach()
  endforeach()
endmacro()

##############################################################################
# Testing
##############################################################################

add_subdirectory(integration)
add_subdirectory(regression)

=== src/applications/CMakeLists.txt ===
add_library(log_level_flag INTERFACE)
target_sources(
  log_level_flag
  INTERFACE
    ${CMAKE_CURRENT_LIST_DIR}/log_level_flag.h
)
install(
  FILES
    log_level_flag.h
  DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/applications
)

add_executable(xodr_query xodr_query.cc)
target_link_libraries(
  xodr_query
  PRIVATE
    gflags
    maliput::common
    utility
    maliput_malidrive::xodr
  INTERFACE
    log_level_flag
)
install(
  TARGETS
     xodr_query
  DESTINATION
    ${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}/applications
)

add_executable(xodr_validate xodr_validate.cc)
target_link_libraries(
  xodr_validate
  PRIVATE
    gflags
    maliput::common
    utility
    maliput_malidrive::xodr
  INTERFACE
    log_level_flag
)
install(
  TARGETS
     xodr_validate
  DESTINATION
    ${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}/applications
)

add_executable(xodr_extract xodr_extract.cc)
target_link_libraries(
  xodr_extract
  PRIVATE
    gflags
    maliput::common
    maliput_malidrive::common
    maliput_malidrive::xodr_extract
    tinyxml2
  INTERFACE
    log_level_flag
)
install(
  TARGETS
     xodr_extract
  DESTINATION
    ${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}/applications
)

=== src/maliput_malidrive/CMakeLists.txt ===
##############################################################################
# Malidrive
##############################################################################

add_subdirectory(base)
add_subdirectory(builder)
add_subdirectory(common)
add_subdirectory(loader)
add_subdirectory(road_curve)
add_subdirectory(test_utilities)
add_subdirectory(xodr)

=== src/plugin/CMakeLists.txt ===
##############################################################################
# Sources
##############################################################################

add_library(road_network road_network.cc)
add_library(maliput_malidrive::road_network ALIAS road_network)

set_target_properties(road_network
  PROPERTIES
    OUTPUT_NAME maliput_malidrive_road_network
)

target_link_libraries(road_network
  maliput::api
  maliput::common
  maliput::base
  maliput_malidrive::builder
)

target_include_directories(road_network
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

##############################################################################
# Export
##############################################################################

# Using a different location as this target is a dynamic library
# which will be loaded at runtime as a maliput plugin.
set(PLUGIN_INSTALL_DIR
    lib/maliput_plugins
)

install(
  TARGETS road_network
  EXPORT ${PROJECT_NAME}-targets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}
  RUNTIME DESTINATION bin
)

=== src/utility/CMakeLists.txt ===
##############################################################################
# Malidrive utility
##############################################################################

add_library(utility
  file_tools.cc
  resources.cc
)

set_target_properties(utility PROPERTIES OUTPUT_NAME maliput_malidrive_utility)
target_include_directories(
  utility
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

install(TARGETS utility
  EXPORT ${PROJECT_NAME}-targets
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  FILES
    file_tools.h
    resources.h
  DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/utility
)

=== test/integration/CMakeLists.txt ===
##############################################################################
# Prep
##############################################################################

# Test binary name prefix, used by malidrive_build_integration_based_tests
set(TEST_TYPE INTEGRATION)

##############################################################################
# Tests
##############################################################################

set(INTEGRATION_TEST_SOURCES
  extensive_queries_test.cc
)

# See #41 for more information about integration tests being disabled during tsan builds.
if (NOT THREAD_SANITIZER)
  malidrive_build_integration_based_tests(${INTEGRATION_TEST_SOURCES})
endif()

=== test/regression/CMakeLists.txt ===
##############################################################################
# Prep
##############################################################################

add_subdirectory(base)
add_subdirectory(builder)
add_subdirectory(common)
add_subdirectory(loader)
add_subdirectory(plugin)
add_subdirectory(road_curve)
add_subdirectory(utility)
add_subdirectory(xodr)

##############################################################################
# Tests
##############################################################################

# Test binary name prefix, used by maliput_malidrive_build_tests
set(TEST_TYPE UNIT)


set(UNIT_TEST_SOURCES
  demo_test.cc
)

maliput_malidrive_build_tests(${UNIT_TEST_SOURCES})

=== include/maliput_malidrive/builder/CMakeLists.txt ===
ament_export_include_directories(${CMAKE_CURRENT_SOURCE_DIR})

=== src/maliput_malidrive/base/CMakeLists.txt ===
##############################################################################
# MaliputMalidrive base
##############################################################################
add_library(base
  lane.cc
  road_geometry.cc
)
add_library(maliput_malidrive::base ALIAS base)
set_target_properties(base
  PROPERTIES
    OUTPUT_NAME maliput_malidrive_base
)

target_include_directories(
  base
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_link_libraries(
  base
    maliput::api
    maliput::base
    maliput::geometry_base
    maliput::math
    maliput_drake::analysis
    maliput_drake::common
    maliput_drake::framework
    maliput_drake::math
    maliput_drake::trajectories
    maliput_malidrive::common
    maliput_malidrive::road_curve
    maliput_malidrive::xodr
)

install(TARGETS base
  EXPORT ${PROJECT_NAME}-targets
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

=== src/maliput_malidrive/builder/CMakeLists.txt ===
##############################################################################
# Malidrive builder
##############################################################################
add_library(builder
  builder_tools.cc
  determine_tolerance.cc
  direction_usage_builder.cc
  discrete_value_rule_state_provider_builder.cc
  id_providers.cc
  phase_provider_builder.cc
  range_value_rule_state_provider_builder.cc
  road_curve_factory.cc
  road_geometry_builder.cc
  road_geometry_configuration.cc
  road_network_builder.cc
  road_network_configuration.cc
  rule_registry_builder.cc
  road_rulebook_builder.cc
  road_rulebook_builder_old_rules.cc
  rule_tools.cc
  simplify_geometries.cc
  speed_limit_builder.cc
  xodr_parser_configuration.cc
)
add_library(maliput_malidrive::builder ALIAS builder)
set_target_properties(builder
  PROPERTIES
    OUTPUT_NAME maliput_malidrive_builder
)

target_include_directories(
  builder
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_link_libraries(
  builder
    PUBLIC
      maliput::api
      maliput::base
      maliput::geometry_base
      maliput::math
      maliput::utility
      maliput_malidrive::common
    PRIVATE
      maliput_drake::analysis
      maliput_drake::common
      maliput_drake::framework
      maliput_drake::math
      maliput_drake::trajectories
      maliput_malidrive::base
      maliput_malidrive::road_curve
      maliput_malidrive::xodr
)

install(TARGETS builder
  EXPORT ${PROJECT_NAME}-targets
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

=== debian/changelog ===
ros-foxy-maliput-malidrive (0.1.4-1focal) focal; urgency=high

  * Provides default parameters for the RoadNetworkLoader. (#231 <https://github.com/maliput/maliput_malidrive/issues/231>)
  * Uses default ManualPhaseProvider implementation. (#230 <https://github.com/maliput/maliput_malidrive/issues/230>)
  * Removes OpenRangeValidator and use maliput's instead. (#229 <https://github.com/maliput/maliput_malidrive/issues/229>)
  * Updates triage workflow. (#228 <https://github.com/maliput/maliput_malidrive/issues/228>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Tue, 13 Dec 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.3-1focal) focal; urgency=high

  * Matches with changes in Maliput: Lane::ToLanePosition. (#227 <https://github.com/maliput/maliput_malidrive/issues/227>)
  * Adds triage workflow. (#225 <https://github.com/maliput/maliput_malidrive/issues/225>)
  * Improves README. (#224 <https://github.com/maliput/maliput_malidrive/issues/224>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Wed, 14 Sep 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.2-1focal) focal; urgency=high

  * Fixes environment hooks. (#223 <https://github.com/maliput/maliput_malidrive/issues/223>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Fri, 01 Jul 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.1-1focal) focal; urgency=high

  * Standardizes CFlags configuration. (#222 <https://github.com/ToyotaResearchInstitute/maliput_malidrive/issues/222>)
  * Suppresses old-rule-api-related deprecation warnings.
  * Fixes include folder installation.
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Thu, 16 Jun 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.0-1focal) focal; urgency=high

  * Use <doc_depend> for ament_cmake_doxygen dependency (#217 <https://github.com/maliput/maliput_malidrive/issues/217>)
  * Uses ros-action-ci in build.yaml workflow. (#218 <https://github.com/maliput/maliput_malidrive/issues/218>)
  * Moves package to root (#216 <https://github.com/maliput/maliput_malidrive/issues/216>)
  * Updates license. (#215 <https://github.com/maliput/maliput_malidrive/issues/215>)
  * Uses ament_export_targets. (#214 <https://github.com/maliput/maliput_malidrive/issues/214>)
  * Removes dashing support. (#213 <https://github.com/maliput/maliput_malidrive/issues/213>)
  * Adds the RoadGeometry to the IntersectionBook construction points. (#211 <https://github.com/maliput/maliput_malidrive/issues/211>)
  * Modifies library dependancies from utilities to utility (#210 <https://github.com/maliput/maliput_malidrive/issues/210>)
  * Renames PhaseBasedRightOfWayDiscreteValueRuleStateProvider class (#209 <https://github.com/maliput/maliput_malidrive/issues/209>)
  * Merge pull request #208 <https://github.com/maliput/maliput_malidrive/issues/208> from maliput/voldivh/value_range_method_to_state
    Changed values() and ranges() method from Rules to states()
  * [FEAT]: Changed values() and ranges() method from Rules to states()
  * Adds LoopRoadPedestrianCrosswalk xodr and yaml. (#207 <https://github.com/maliput/maliput_malidrive/issues/207>)
  * Fixes RoWR zone in SingleRoadPedestrianCrosswalk.yaml file. (#206 <https://github.com/maliput/maliput_malidrive/issues/206>)
  * Adds missing SingleRoadPedestrianCrosswalk.yaml. (#205 <https://github.com/maliput/maliput_malidrive/issues/205>)
  * Adds XODR and YAML to describe crosswalk intersection (#203 <https://github.com/maliput/maliput_malidrive/issues/203>)
  * Creates PhaseProviderBuilder functor. (#202 <https://github.com/maliput/maliput_malidrive/issues/202>)
  * Adds BUILD_DOCS flag as opt-in flag. (#204 <https://github.com/maliput/maliput_malidrive/issues/204>)
  * Uses PhaseRingBook loader for new rule api. (#200 <https://github.com/maliput/maliput_malidrive/issues/200>)
  * Supports loading rules via RuleRegistry + new RoadRulebook format. (#198 <https://github.com/maliput/maliput_malidrive/issues/198>)
  * Fixes typo in README (#197 <https://github.com/maliput/maliput_malidrive/issues/197>)
  * Adds workflow_dispatch option to scan_build and clan runs. (#196 <https://github.com/maliput/maliput_malidrive/issues/196>)
  * Adds CI badges (#195 <https://github.com/maliput/maliput_malidrive/issues/195>)
  * Improves the README adding info about OpenDRIVE specs coverage. (#194 <https://github.com/maliput/maliput_malidrive/issues/194>)
  * Replaces push by workflow_dispatch event in gcc build. (#192 <https://github.com/maliput/maliput_malidrive/issues/192>)
  * Improves standard_strictness_policy flag's documentation. (#189 <https://github.com/maliput/maliput_malidrive/issues/189>)
  * Exposes RoadNetwork configuration builder keys. (#188 <https://github.com/maliput/maliput_malidrive/issues/188>)
  * Pairs with maliput::plugin::RoadNetworkLoader functor change. (#186 <https://github.com/maliput/maliput_malidrive/issues/186>)
  * Adds max_linear_tolerance parameter: linear tolerance as a range (#182 <https://github.com/maliput/maliput_malidrive/issues/182>)
  * Improves use of maliput plugin architecture. (#181 <https://github.com/maliput/maliput_malidrive/issues/181>)
  * Removes RoadNetworkConfiguration-based load method. (#177 <https://github.com/maliput/maliput_malidrive/issues/177>)
  * Use maliput drake (#178 <https://github.com/maliput/maliput_malidrive/issues/178>)
  * Fixes help message for the xodr apps. (#180 <https://github.com/maliput/maliput_malidrive/issues/180>)
  * Adds ToRoadPosition query test. (#175 <https://github.com/maliput/maliput_malidrive/issues/175>)
  * Fixes bug at ToRoadPosition query. (#174 <https://github.com/maliput/maliput_malidrive/issues/174>)
  * Solves CMP0076 cmake warning related to log_level_flag target. (#167 <https://github.com/maliput/maliput_malidrive/issues/167>)


=== debian/control ===
Source: ros-foxy-maliput-malidrive
Section: misc
Priority: optional
Maintainer: Andrew Best <andrew.best@tri.global>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, libtinyxml2-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-maliput, ros-foxy-maliput-drake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-malidrive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, libtinyxml2-dev, ros-foxy-maliput, ros-foxy-maliput-drake, ros-foxy-ros-workspace
Description: maliput_malidrive backend

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-maliput-malidrive//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
